Package org.optaplanner.core.impl.heuristic.selector.common

## Class SelectionCacheLifecycleBridge

- java.lang.Object
- - org.optaplanner.core.impl.heuristic.selector.common.SelectionCacheLifecycleBridge

- All Implemented Interfaces:
    `EventListener`, `PhaseLifecycleListener`, `SolverLifecycleListener`

      public class SelectionCacheLifecycleBridge
      extends Object
      implements PhaseLifecycleListener

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected SelectionCacheType` | `cacheType` |
    `protected SelectionCacheLifecycleListener` | `selectionCacheLifecycleListener` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SelectionCacheLifecycleBridge​(SelectionCacheType cacheType, SelectionCacheLifecycleListener selectionCacheLifecycleListener)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `phaseEnded​(AbstractPhaseScope phaseScope)` |
    `void` | `phaseStarted​(AbstractPhaseScope phaseScope)` |
    `void` | `solvingEnded​(DefaultSolverScope solverScope)` |
    `void` | `solvingStarted​(DefaultSolverScope solverScope)` |
    `void` | `stepEnded​(AbstractStepScope stepScope)` |
    `void` | `stepStarted​(AbstractStepScope stepScope)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cacheType

          protected final SelectionCacheType cacheType

    - #### selectionCacheLifecycleListener

          protected final SelectionCacheLifecycleListener selectionCacheLifecycleListener

  - ### Constructor Detail

    - #### SelectionCacheLifecycleBridge

          public SelectionCacheLifecycleBridge​(SelectionCacheType cacheType,
                                               SelectionCacheLifecycleListener selectionCacheLifecycleListener)

  - ### Method Detail

    - #### solvingStarted

          public void solvingStarted​(DefaultSolverScope solverScope)

      Specified by:
        `solvingStarted` in interface `SolverLifecycleListener`

    - #### phaseStarted

          public void phaseStarted​(AbstractPhaseScope phaseScope)

      Specified by:
        `phaseStarted` in interface `PhaseLifecycleListener`

    - #### stepStarted

          public void stepStarted​(AbstractStepScope stepScope)

      Specified by:
        `stepStarted` in interface `PhaseLifecycleListener`

    - #### stepEnded

          public void stepEnded​(AbstractStepScope stepScope)

      Specified by:
        `stepEnded` in interface `PhaseLifecycleListener`

    - #### phaseEnded

          public void phaseEnded​(AbstractPhaseScope phaseScope)

      Specified by:
        `phaseEnded` in interface `PhaseLifecycleListener`

    - #### solvingEnded

          public void solvingEnded​(DefaultSolverScope solverScope)

      Specified by:
        `solvingEnded` in interface `SolverLifecycleListener`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`